| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
MonitorServiceData Union Reference

`import "monitorservice_types.idl";`

## Public Types

typedef sequence< octet > | entity_proxy
typedef sequence< Connection > | connection_list

## Public Attributes

IncompatibleQoSStatus_s | incompatible_qos_status
InconsistentTopicStatus_s | inconsistent_topic_status
LivelinessLostStatus_s | liveliness_lost_status
LivelinessChangedStatus_s | liveliness_changed_status
DeadlineMissedStatus_s | deadline_missed_status
SampleLostStatus_s | sample_lost_status
ExtendedIncompatibleQoSStatusSeq_s | extended_incompatible_qos_status
octet | statuses_size

## Member Typedef Documentation

## ◆ connection_list

sequence<Connection> connection_list

## ◆ entity_proxy

sequence<octet> entity_proxy

## Member Data Documentation

## ◆ deadline_missed_status

DeadlineMissedStatus_s deadline_missed_status

## ◆ extended_incompatible_qos_status

ExtendedIncompatibleQoSStatusSeq_s extended_incompatible_qos_status

## ◆ incompatible_qos_status

IncompatibleQoSStatus_s incompatible_qos_status

## ◆ inconsistent_topic_status

InconsistentTopicStatus_s inconsistent_topic_status

## ◆ liveliness_changed_status

LivelinessChangedStatus_s liveliness_changed_status

## ◆ liveliness_lost_status

LivelinessLostStatus_s liveliness_lost_status

## ◆ sample_lost_status

SampleLostStatus_s sample_lost_status

## ◆ statuses_size

octet statuses_size

The documentation for this union was generated from the following file:

- include/fastdds/statistics/monitorservice_types.idl